Bug 648665 - (CVE-2010-4078) CVE-2010-4078 kernel: drivers/video/sis/sis_main.c: reading uninitialized stack memory
CVE-2010-4078 kernel: drivers/video/sis/sis_main.c: reading uninitialized sta...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100915,reported=20101006,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 17:23 EDT by Petr Matousek
Modified: 2015-08-22 01:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 01:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-01 17:23:07 EDT
Description of problem:
The FBIOGET_VBLANK device ioctl in sis_main.c allows unprivileged users to read 16 bytes of uninitialized stack memory, because the 'reserved' member of the fb_vblank struct declared on the stack is not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/06/6
http://lkml.indiana.edu/hypermail//linux/kernel/1009.1/03385.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 1 Petr Matousek 2010-11-02 07:05:55 EDT
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG as they did not include
or support the affected functionality.
Comment 2 Eugene Teo (Security Response) 2010-11-22 08:33:33 EST
Upstream commit:
http://git.kernel.org/linus/fd02db9de73faebc51240619c7c7f99bee9f65c7

Note You need to log in before you can comment on or make changes to this bug.